# SpongeMessageFormatter (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeMessageFormatter

Package co.aikar.commands

# Class SpongeMessageFormatter

java.lang.Object
co.aikar.commands.MessageFormatter<org.spongepowered.api.text.format.TextColor>
co.aikar.commands.SpongeMessageFormatter

public class SpongeMessageFormatter extends co.aikar.commands.MessageFormatter<org.spongepowered.api.text.format.TextColor>

## Constructor Summary

Constructors
Constructor
Description
`SpongeMessageFormatter(org.spongepowered.api.text.format.TextColor... colors)`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(org.spongepowered.api.text.format.TextColor color, String message)`

### Methods inherited from class co.aikar.commands.MessageFormatter

`format, format, getColor, getDefaultColor, setColor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpongeMessageFormatter

public SpongeMessageFormatter (org.spongepowered.api.text.format.TextColor... colors)

## Method Details

### format

public String format (org.spongepowered.api.text.format.TextColor color, String message)